GlueGen: com.jogamp.common.util.PropertyAccess Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Member Functions | Static Public Attributes | Static Protected Member Functions | List of all members
com.jogamp.common.util.PropertyAccess Class Reference

Helper routines for accessing properties. More...

Collaboration diagram for com.jogamp.common.util.PropertyAccess:

## Static Public Member Functions

static final boolean | isTrusted (final String propertyKey)
static final int | getIntProperty (final String property, final boolean jnlpAlias, final int defaultValue)
static final long | getLongProperty (final String property, final boolean jnlpAlias, final long defaultValue)
static final boolean | getBooleanProperty (final String property, final boolean jnlpAlias)
static final boolean | getBooleanProperty (final String property, final boolean jnlpAlias, final boolean defaultValue)
static final boolean | isPropertyDefined (final String property, final boolean jnlpAlias)
static final String | getProperty (final String propertyKey, final boolean jnlpAlias) throws SecurityException, NullPointerException, IllegalArgumentException
| Query the property with the name `propertyKey`. More...
static final String | getProperty (final String propertyKey, final boolean jnlpAlias, final String defaultValue) throws SecurityException, NullPointerException, IllegalArgumentException
| See `getProperty(String, boolean)`, additionally allows a `defaultValue` if property value is `null`. More...

## Static Public Attributes

static final String | jnlp_prefix = "jnlp."
| trusted build-in property prefix 'jnlp. More...
static final String | javaws_prefix = "javaws."
| trusted build-in property prefix 'javaws. More...

## Static Protected Member Functions

static final void | addTrustedPrefix (final String prefix) throws AccessControlException

## Detailed Description

Helper routines for accessing properties.

Definition at line 36 of file PropertyAccess.java.

## Member Function Documentation

## ◆ addTrustedPrefix()

static final void com.jogamp.common.util.PropertyAccess.addTrustedPrefix | ( | final String | prefix | ) | throws AccessControlException

staticprotected

Parameters

  prefix | New prefix to be registered as trusted.

Exceptions

  AccessControlException | as thrown by `SecurityUtil#checkAllPermissions()`.

Definition at line 62 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ getBooleanProperty() [1/2]

static final boolean com.jogamp.common.util.PropertyAccess.getBooleanProperty | ( | final String | property,
|  | final boolean | jnlpAlias
| ) |  |

static

See also
  getProperty(String, boolean)

Definition at line 101 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ getBooleanProperty() [2/2]

static final boolean com.jogamp.common.util.PropertyAccess.getBooleanProperty | ( | final String | property,
|  | final boolean | jnlpAlias,
|  | final boolean | defaultValue
| ) |  |

static

See also
  getProperty(String, boolean)

Definition at line 106 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ getIntProperty()

static final int com.jogamp.common.util.PropertyAccess.getIntProperty | ( | final String | property,
|  | final boolean | jnlpAlias,
|  | final int | defaultValue
| ) |  |

static

See also
  getProperty(String, boolean)

Definition at line 77 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ getLongProperty()

static final long com.jogamp.common.util.PropertyAccess.getLongProperty | ( | final String | property,
|  | final boolean | jnlpAlias,
|  | final long | defaultValue
| ) |  |

static

See also
  getProperty(String, boolean)

Definition at line 89 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ getProperty() [1/2]

static final String com.jogamp.common.util.PropertyAccess.getProperty | ( | final String | propertyKey,
|  | final boolean | jnlpAlias
| ) |  | throws SecurityException, NullPointerException, IllegalArgumentException

static

Query the property with the name `propertyKey`.

If `jnlpAlias` is `true` and the plain `propertyKey` could not be resolved, an attempt to resolve the JNLP aliased trusted property is made.
Example: For the propertyName `OneTwo`, the jnlp alias name is `jnlp.OneTwo`, which is considered trusted.

Parameters

  propertyKey | the property name to query.
  jnlpAlias | true if a fallback attempt to query the JNLP aliased trusted property shall be made, otherwise false.

Returns
  the property value if exists, or null

Exceptions

  NullPointerException | if the property name is null
  IllegalArgumentException | if the property name is of length 0
  SecurityException | if access is not allowed to the given `propertyKey`

See also
  System::getProperty(String)

Definition at line 138 of file PropertyAccess.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getProperty() [2/2]

static final String com.jogamp.common.util.PropertyAccess.getProperty | ( | final String | propertyKey,
|  | final boolean | jnlpAlias,
|  | final String | defaultValue
| ) |  | throws SecurityException, NullPointerException, IllegalArgumentException

static

See `getProperty(String, boolean)`, additionally allows a `defaultValue` if property value is `null`.

Definition at line 167 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ isPropertyDefined()

static final boolean com.jogamp.common.util.PropertyAccess.isPropertyDefined | ( | final String | property,
|  | final boolean | jnlpAlias
| ) |  |

static

See also
  getProperty(String, boolean)

Definition at line 115 of file PropertyAccess.java.

Here is the call graph for this function:

## ◆ isTrusted()

static final boolean com.jogamp.common.util.PropertyAccess.isTrusted | ( | final String | propertyKey | ) |

static

Definition at line 67 of file PropertyAccess.java.

Here is the caller graph for this function:

## Member Data Documentation

## ◆ javaws_prefix

final String com.jogamp.common.util.PropertyAccess.javaws_prefix = "javaws."

static

trusted build-in property prefix 'javaws.

'

Definition at line 40 of file PropertyAccess.java.

## ◆ jnlp_prefix

final String com.jogamp.common.util.PropertyAccess.jnlp_prefix = "jnlp."

static

trusted build-in property prefix 'jnlp.

'

Definition at line 38 of file PropertyAccess.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/PropertyAccess.java